<launch>  
  <rosparam file="$(find yonder_hw_interface)/config/controllers.yaml" command="load"/>
  <rosparam file="$(find yonder_hw_interface)/config/hardware.yaml" command="load"/>

  <param name="robot_description" textfile="$(find yonder_hw_interface)/config/arm.urdf"/>
  
  <node name="yonder_hw_interface_node" pkg="yonder_hw_interface" type="yonder_hw_interface_node" output="screen"/>
  <!-- <node name="controller_manager" pkg="controller_manager" type="spawner" args="
    /yonder/controllers/position/shoulder_swivel
    /yonder/controllers/position/shoulder_updown
    /yonder/controllers/position/elbow
    /yonder/controllers/position/wrist1
    /yonder/controllers/position/wrist2
    /yonder/controllers/position/wrist3
    /yonder/controllers/state
  "/> -->

  <node name="controller_spawner" pkg="controller_manager" type="spawner" output="screen" args="
    /yonder/controllers/main_controller
    /yonder/controllers/state
  "/>

</launch>
